/* 
*
*  ProLinga-Run
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Run.
*
*  ProLinga-Run is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Run is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Run.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#include "RunCommon.h"
#include "DataRef.hpp"
#include "Limits.hpp"


/* Command : RUN */
/* Syntax  : RUN data_ref [data_ref...] */
void CmdRun(char **argList, int argHits, bool isMainThread)
{
	int i;
	char runString[LM_RUN_COMMAND_LENGTH] = {'\0'}, returnRef[LM_RUN_COMMAND_LENGTH];

	/* Concatenate 1 big string from arguments */
	for (i = 1; i <= argHits; i++)
	{
		getDataRefRaw(argList[i], isMainThread, returnRef, false);

		if (i == 1)
			strcpy(runString, returnRef);
		else
			strcat(runString, returnRef);
	}

	/* Run command shell */
	system(runString);
}

